# Created by pyp2rpm-3.3.5
%global pypi_name python-lsp-server
%global srcname lsp-server

Name:           python-%{srcname}
Version:        1.5.0
Release:        %mkrel 5
Summary:        Python Language Server for the Language Server Protocol
Group:          Development/Python
License:        None
URL:            None
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         lsp-server-1.5.0-relax-requirements.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)


%description
# Python LSP Server
A Python 3.7+ implementation of the Language Server Protocol.
If the respective dependencies are found, the following optional providers will
be enabled:
    Rope for Completions and renaming
    Pyflakes linter to detect various errors
    McCabe linter for complexity checking
    pycodestyle linter for style checking
    pydocstyle linter for docstring style checking (disabled by default)
    autopep8 for code formatting
    YAPF for code formatting (preferred over autopep8)
    flake8 for error checking (disabled by default)
    pylint for code linting (disabled by default)

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
# Python LSP Server
A Python 3.7+ implementation of the Language Server Protocol.
If the respective dependencies are found, the following optional providers will
be enabled:
    Rope for Completions and renaming
    Pyflakes linter to detect various errors
    McCabe linter for complexity checking
    pycodestyle linter for style checking
    pydocstyle linter for docstring style checking (disabled by default)
    autopep8 for code formatting
    YAPF for code formatting (preferred over autopep8)
    flake8 for error checking (disabled by default)
    pylint for code linting (disabled by default)

%pyproject_extras_subpkg -n python3-%{srcname} all autopep8 flake8 mccabe pycodestyle pydocstyle pyflakes pylint rope yapf websockets

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylsp


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pylsp



%changelog
* Thu Sep 08 2022 papoteur <papoteur> 1.5.0-5.mga9
+ Revision: 1886013
- Relax again requirements

* Thu Sep 08 2022 papoteur <papoteur> 1.5.0-4.mga9
+ Revision: 1886001
- Relax requirement on pycodestyle

* Wed Sep 07 2022 papoteur <papoteur> 1.5.0-3.mga9
+ Revision: 1884874
- Fix names for extras

* Wed Sep 07 2022 papoteur <papoteur> 1.5.0-2.mga9
+ Revision: 1884870
- Add extras packages

* Wed Sep 07 2022 papoteur <papoteur> 1.5.0-1.mga9
+ Revision: 1884812
- imported package python-lsp-server

